
Figure - Bug #117835
【IOVDEV-25812】-【IOV测试】VC1】【0072】【台架】【EE环境】【副屏】点击开启第三方应用时，副屏
发生一次自动重启
2023-05-09 14:03 - CDTS_TEST 王成

Status: CLOSED Start date: 2023-05-09

Priority: Normal Due date:

Assignee: CD TEST-方永红 % Done: 0%

Category: 窗口定制 Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: 01.00.0094.C103

Resolution: FIXED Degrated: --

Severity: Critical Verified Version:

Reproducibility: Occasionally Fixed Version:

Test Type: ST Root cause: 没有使用最新的版本进行验证

Description

前提条件】：车机上电，副屏小窗打开快手应用

【操作步骤】

1. 副屏点击开启多个应用，如“bilibili”、“抖音”、“优酷”、“腾讯视频”、“在线FM电台”、“爱奇艺”、“QQ音乐”、“酷

狗音乐”

【实际结果】

1.点击“酷狗音乐”时无响应，之后副屏自动重启--发生一次

【期望结果】

1.正常打开酷狗音乐，无重启现象

History

#1 - 2023-05-09 14:05 - CDTS_TEST 王成

ftp://cdiot@192.168.87.46/Pre_figure/Test_Log/Bug_117835/tlog_iov0201017500006162025411a2212290000000911_000038_0505155257.tar.gz   LOG下载地址

#2 - 2023-05-09 14:56 - CD FW-鲁凯峰

- Status changed from New to RESOLVED

- Assignee changed from CD FW-鲁凯峰 to CDTS_TEST 王成

- Resolution changed from -- to FIXED

- Root cause set to 没有使用最新的版本进行验证

从日志看是由于android.anim.lf进程挂了导致的重启的,和之前的#117475错误日志类似,这个问题我们已经在0095的版本上已经修复了。

0094版本是在4月25号出的, 我们的修复提交是4月27号修复的,包含在0095版本里面

修复提交

https://dev.thundercomm.com/gerrit/c/general/LA.QSSI/LINUX/android/vendor/qcom/proprietary/+/195909

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/av/+/195905

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/base/+/195903

https://dev.thundercomm.com/gerrit/c/general/platform/frameworks/native/+/195902

上述的修复提交入到了0095的版本，所以请帮忙在最新的版本上验证一下
错误日志

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669] Runtime aborting...

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669] Dumping all threads without mutator lock held

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669] All threads:

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669] DALVIK THREADS (167):

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669] "android.anim.lf" prio=7 tid=16 Runnable

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   | group="" sCount=0 ucsCount=0 flags=0 obj=0x15a81420 self=0xb400006df617ce40

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   | sysTid=1624 nice=-4 cgrp=default sched=0/0 handle=0x6bf32a2cb0

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   | state=R schedstat=( 960153641 991057123 5397 ) utm=58 stm=37 core=5 HZ=100

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   | stack=0x6bf319f000-0x6bf31a1000 stackSize=1039KB

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   | held mutexes= "abort lock" "mutator lock"(shared held)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   native: #00 pc 000000000056a948  /apex/com.android.art/lib64/libart.so

(art::DumpNativeStack(std::__1::basic_ostream<char, std::__1::char_traits<char> >&, int, BacktraceMap*, char const*, art::ArtMethod*, void*, bool)+144)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   native: #01 pc 0000000000685f74  /apex/com.android.art/lib64/libart.so

(art::Thread::DumpStack(std::__1::basic_ostream<char, std::__1::char_traits<char> >&, bool, BacktraceMap*, bool) const+364)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   native: #02 pc 00000000006a468c  /apex/com.android.art/lib64/libart.so

(art::DumpCheckpoint::Run(art::Thread*)+924)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   native: #03 pc 000000000069e0e8  /apex/com.android.art/lib64/libart.so

(art::ThreadList::RunCheckpoint(art::Closure*, art::Closure*)+524)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   native: #04 pc 000000000069d2e8  /apex/com.android.art/lib64/libart.so

(art::ThreadList::Dump(std::__1::basic_ostream<char, std::__1::char_traits<char> >&, bool)+1468)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   native: #05 pc 00000000006357c4  /apex/com.android.art/lib64/libart.so (art::Runtime::Abort(char

const*)+2168)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   native: #06 pc 0000000000016bc4  /system/lib64/libbase.so

(android::base::SetAborter(std::__1::function<void (char const*)>&&)::$_3::__invoke(char const*)+80)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   native: #07 pc 0000000000006f14  /system/lib64/liblog.so (__android_log_assert+312)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   native: #08 pc 000000000000ef70  /system/lib64/libutils.so (android::RefBase::decStrong(void const)

const+176)*

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   native: #09 pc 00000000000a19ac  /system/lib64/libgui.so

(android::layer_state_t::operator=(android::layer_state_t const&)+704)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   native: #10 pc 00000000000f2120  /system/lib64/libgui.so

(android::SurfaceComposerClient::Transaction::getLayerState(android::sp<android::SurfaceControl> const&)+436)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   native: #11 pc 00000000000f270c  /system/lib64/libgui.so

(android::SurfaceComposerClient::Transaction::setPosition(android::sp<android::SurfaceControl> const&, float, float)+36)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   native: #12 pc 000000000012e644  /system/lib64/libandroid_runtime.so

(android::nativeSetPosition(_JNIEnv*, _jclass*, long, long, float, float)+108)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   at android.view.SurfaceControl.nativeSetPosition(Native method)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   at android.view.SurfaceControl.access$3400(SurfaceControl.java:87)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   at android.view.SurfaceControl$Transaction.setPosition(SurfaceControl.java:2759)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   at com.android.server.wm.WindowContainer.updateSurfacePosition(WindowContainer.java:3062)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   at

com.android.server.wm.WindowContainer.updateSurfacePositionNonOrganized(WindowContainer.java:3043)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   at com.android.server.wm.WindowContainer.onConfigurationChanged(WindowContainer.java:357)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   at com.android.server.wm.Task.onConfigurationChangedInner(Task.java:2272)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   at com.android.server.wm.Task.onConfigurationChanged(Task.java:2372)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   at

com.android.server.wm.ConfigurationContainer.onRequestedOverrideConfigurationChanged(ConfigurationContainer.java:199)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   at

com.android.server.wm.WindowContainer.onRequestedOverrideConfigurationChanged(WindowContainer.java:795)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   at com.android.server.wm.ConfigurationContainer.setBounds(ConfigurationContainer.java:356)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   at com.android.server.wm.Task.setBounds(Task.java:7667)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   at com.android.server.wm.Task.setBounds(Task.java:3309)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   at com.android.server.wm.WindowState$FreeformMoveAnimationSpec.apply(WindowState.java:6225)
05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   at

com.android.server.wm.SurfaceAnimationRunner.applyTransformation(SurfaceAnimationRunner.java:242)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   at

com.android.server.wm.SurfaceAnimationRunner.lambda$startAnimationLocked$3$SurfaceAnimationRunner(SurfaceAnimationRunner.java:193)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   - locked <0x018aa2c3> (a java.lang.Object)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   at

com.android.server.wm.SurfaceAnimationRunner$$ExternalSyntheticLambda0.onAnimationUpdate(unavailable:-1)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   at android.animation.ValueAnimator.animateValue(ValueAnimator.java:1566)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   at android.animation.ValueAnimator.animateBasedOnTime(ValueAnimator.java:1357)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   at android.animation.ValueAnimator.doAnimationFrame(ValueAnimator.java:1489)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   at android.animation.AnimationHandler.doAnimationFrame(AnimationHandler.java:146)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   at android.animation.AnimationHandler.access$100(AnimationHandler.java:37)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   at android.animation.AnimationHandler$1.doFrame(AnimationHandler.java:54)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   at android.view.Choreographer$CallbackRecord.run(Choreographer.java:1118)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   at android.view.Choreographer.doCallbacks(Choreographer.java:926)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   at android.view.Choreographer.doFrame(Choreographer.java:854)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   at android.view.Choreographer$FrameDisplayEventReceiver.run(Choreographer.java:1105)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   at android.os.Handler.handleCallback(Handler.java:938)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   at android.os.Handler.dispatchMessage(Handler.java:99)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   at android.os.Looper.loopOnce(Looper.java:201)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   at android.os.Looper.loop(Looper.java:288)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   at android.os.HandlerThread.run(HandlerThread.java:67)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]   at com.android.server.ServiceThread.run(ServiceThread.java:44)

05-05 14:14:40.586  1533  1624 F system_server: runtime.cc:669]

#3 - 2023-05-23 19:50 - CDTS_TEST 王成

- Assignee changed from CDTS_TEST 王成 to CD TEST-方永红

#4 - 2023-05-25 10:39 - CD TEST-方永红

0098、0099、0100版本上测试时未出现此问题，先关闭

#5 - 2023-05-25 10:39 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

#6 - 2023-05-25 10:39 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED
